gtkmm: Gtk::Requisition Class Reference

gtkmm 4.13.3

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Gtk::Requisition Class Reference

A Gtk::Requisition represents the desired size of a widget. More...

`#include <gtkmm/requisition.h>`

## Public Member Functions
| Requisition (const Requisition & other) noexcept
Requisition & | operator= (const Requisition & other) noexcept
| Requisition (Requisition && other) noexcept
Requisition & | operator= (Requisition && other) noexcept
| Requisition ()
| Requisition (const GtkRequisition * gobject)
GtkRequisition * | gobj ()
| Provides access to the underlying C instance. More...
const GtkRequisition * | gobj () const
| Provides access to the underlying C instance. More...
| Requisition (int width, int height)
| Creates a new requisition instance with this size. More...
int | get_width () const
void | set_width (const int & value)
int | get_height () const
void | set_height (const int & value)

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
GtkRequisition | gobject_

## Related Functions
(Note that these are not member functions.)
Gtk::Requisition & | wrap (GtkRequisition * object)
const Gtk::Requisition & | wrap (const GtkRequisition * object)

## Detailed Description

A Gtk::Requisition represents the desired size of a widget.

## Constructor & Destructor Documentation

## ◆ Requisition() [1/5]

Gtk::Requisition::Requisition | ( | const Requisition & | other | ) |
| noexcept

## ◆ Requisition() [2/5]

Gtk::Requisition::Requisition | ( | Requisition && | other | ) |
| noexcept

## ◆ Requisition() [3/5]

Gtk::Requisition::Requisition | ( |  | ) |

## ◆ Requisition() [4/5]

Gtk::Requisition::Requisition | ( | const GtkRequisition * | gobject | ) |
| explicit

## ◆ Requisition() [5/5]

Gtk::Requisition::Requisition | ( | int | width,
|  | int | height
| ) |  |

Creates a new requisition instance with this size.

## Member Function Documentation

## ◆ get_height()

int Gtk::Requisition::get_height | ( |  | ) | const

## ◆ get_type()

static GType Gtk::Requisition::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_width()

int Gtk::Requisition::get_width | ( |  | ) | const

## ◆ gobj() [1/2]

GtkRequisition * Gtk::Requisition::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkRequisition * Gtk::Requisition::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

## ◆ operator=() [1/2]

Requisition & Gtk::Requisition::operator= | ( | const Requisition & | other | ) |
| noexcept

## ◆ operator=() [2/2]

Requisition & Gtk::Requisition::operator= | ( | Requisition && | other | ) |
| noexcept

## ◆ set_height()

void Gtk::Requisition::set_height | ( | const int & | value | ) |

## ◆ set_width()

void Gtk::Requisition::set_width | ( | const int & | value | ) |

## Friends And Related Function Documentation

## ◆ wrap() [1/2]

const Gtk::Requisition & wrap | ( | const GtkRequisition * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

## ◆ wrap() [2/2]

Gtk::Requisition & wrap | ( | GtkRequisition * | object | ) |
| related

Parameters

  object | The C instance

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## ◆ gobject_

GtkRequisition Gtk::Requisition::gobject_
| protected